HFST-EXPAND-EQUIVALENCES(1)

NAME
hfst-expand-equivalences - =Extend transducer arcs for equivalence classes

SYNOPSIS
hfst-expand-equivalences [OPTIONS...] [INFILE]

DESCRIPTION
Extend transducer arcs for equivalence classes

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Eqv. class extension options:

-f, --from=ISYM
    convert single symbol ISYM to allow OSYM

-t, --to=OSYM
    convert to OSYM

-a, --acx=ACXFILE
    read extensions in acx format from ACXFILE

-T, --tsv=TSVFILE
    read extensions in tsv format from TSVFILE

-l, --level=LEVEL
    perform extensions on LEVEL of fsa

Either ACXFILE, TSVFILE or both ISYM and OSYM must be specified. LEVEL should be either {upper, first, 1, input, surface}, {lower, second, 2, output, analysis} or both. If LEVEL is omitted, default is first. Examples:

hfst-expand-equivalences -o rox.hfst -a romanian.acx ro.hfst
    extend romanian charequivalences

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues> hfst-expand-equivalences home page: <https://github.com/hfst/hfst/wiki/HfstExpandEquivalences>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.